Foxit PDF SDK

Instance Methods | List of all members
FSSplitDocumentInfo Class Reference
Inheritance diagram for FSSplitDocumentInfo:

## Instance Methods
(id) | - initWithDoc:file_name:
| Constructor, with parameters. More...
(id) | - initWithFile_path:password:
| Constructor, with parameters. More...
(id) | - initWithFile_reader:password:file_name:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another information object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents information of source PDF document which is to be split.

## Method Documentation

## ◆ initWithDoc:file_name:()

- (id) initWithDoc: |  | (FSPDFDoc*) | doc
file_name: |  | (NSString *) | file_name

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function FSSplitPDFDoc::startSplitByFileSize:setting_data:split_doc_array:split_callback:.

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be split. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ initWithFile_path:password:()

- (id) initWithFile_path: |  | (NSString *) | file_path
password: |  | (NSString *) | password

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function FSSplitPDFDoc::startSplitByFileSize:setting_data:split_doc_array:split_callback:.

Parameters

  [in] | file_path | File path of a PDF file, which is to be split.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ initWithFile_reader:password:file_name:()

- (id) initWithFile_reader: |  | (id<FSFileReaderCallback>) | file_reader
password: |  | (NSString *) | password
file_name: |  | (NSString *) | file_name

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function FSSplitPDFDoc::startSplitByFileSize:setting_data:split_doc_array:split_callback:.

Parameters

  [in] | file_reader | A FSFileReaderCallback object which is implemented by user to be split.It should not be nil.
  [in] | password | Owner password of PDF file which is specified by parameter file_reader.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSplitDocumentInfo*) | other |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.